PGPOOL_ADM_PCP_NODE_COUNT(3)

NAME
pgpool_adm_pcp_node_count - a function to retrieves number of backend nodes.

SYNOPSIS

pcp_node_count returns integer(text host, integer port, text username, text password);

pcp_node_count returns integer(text pcp_server);

DESCRIPTION

pcp_node_count retrieves number of DB nodes.

ARGUMENTS

pcp_server
    The foreign server name for pcp server.

Other arguments
    See pcp_common_options(1).

EXAMPLE

Here is an example output:

        test=# SELECT * FROM pcp_node_count('localhost',11001,'t-ishii','t-ishii');
        node_count
        ------------
        2
        (1 row)